#include <stdlib.h>
#include <stdio.h>

int main()
{
    short n;
    int i=0,j=0;
    long x;
    scanf("%hd%ld",&n,&x);
    long a[n];
    while(i<n){
        scanf("%ld",&a[i]);
        i++;
    }
    i=0;
    while(i<n && j!=-1){
        if(a[i]<=x){
            j=-1;
        }
        i++;
    }
    if(i==n && a[n-1]>x){
        i=-1;
    }
    printf("%d",i);
    return 0;
}